%define ver_major 2.6
%def_disable static

Name: libbonoboui
Version: %ver_major.1
Release: alt1

Summary: Bonobo user interface components
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libxml2_ver 2.5.6
%define ORBit_ver 2.10.1
%define libbonobo_ver 2.6.0
%define libgnomecanvas_ver 2.6.1.1
%define libgnome_ver 2.6.1.1
%define libart_lgpl_ver 2.3.16
%define gtk_ver 2.4.1
%define glade_ver 2.3.2
%define intltool_ver 0.30
%define gnome_common_ver 2.4.0

Requires: libxml2 >= %libxml2_ver
Requires: ORBit2 >= %ORBit_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libgnome >= %libgnome_ver
Requires: libart_lgpl >= %libart_lgpl_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libglade2 >= %glade_ver

BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Wed Mar 31 2004
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs XFree86-utils esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
Bonobo is a component system based on CORBA, used by the GNOME
desktop. libbonoboui contains the user interface related components
that come with Bonobo.

%package devel
Summary: Develompment libraries and headers for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libxml2-devel >= %libxml2_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: libgnomecanvas-devel >= %libgnomecanvas_ver
Requires: libgnome-devel >= %libgnome_ver
Requires: libart_lgpl-devel >= %libart_lgpl_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libglade2-devel >= %glade_ver

%description devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.
libbonoboui contains GUI components that come with Bonobo.

This package contains header files used to compile programs that use
libbonoboui.

%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Bonobo is a component system based on CORBA, used by the GNOME desktop.
libbonoboui contains GUI components that come with Bonobo.

This package contains libraries used to compile statically linked
programs that use %name.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/libglade/*/*.la

%find_lang %name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-2.0.lang
%_libdir/*.so.*
%_libdir/libglade/*/*.so
%doc AUTHORS ChangeLog NEWS README

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/bonobo/*/*
%_libdir/pkgconfig/*
%_libdir/bonobo-2.0/samples/*
%_datadir/gnome-2.0/ui/*
%_includedir/*
%doc %_gtk_docdir/*
%doc doc/{*.txt,*.dtd,*.html,*.xml}

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/libglade/*/*.a
%endif

%changelog
* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Wed Mar 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Sat Mar 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt2
- updated from cvs.

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Wed Jan 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Fri Jan 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Thu Oct 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3.2-alt1
- 2.0.3.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt2
- rebuild with new pango, gtk+

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Wed Jun 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.118.0-alt1
- Adopted for Sisyphus
- 1.118.0
- devel-static package.

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Reintoolize to fix DBM problems

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.108.1.90 cvs snap

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0.90 snap, explicit requires lines for dependencies
- add libtool hack to avoid relinking

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- add glade dependency, add glade module to file list

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild with glib 1.3.10, new cvs snap

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- rebuild, hoping build root is fixed

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- grumble, build require newer gtk
- require libart_lgpl-devel not the non-devel package

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- cvs snap with menu stuff fixed so gnome-terminal works

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- new tarball, rebuild for new glib

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, fix up prereqs/requires a bit

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

